import { WacRequest } from '../WacRequest';
interface Phone {
    address: string;
    name: string;
}
interface Email {
    type?: string;
    email: string;
}
export interface ContactData {
    id: string;
    name: string;
    phones: Phone[];
    emails: Email[];
    source: string;
    favorite: boolean;
    userId?: string;
}
export declare class ContactsRetriever {
    private static readonly ADDRESS_BOOKS_PATHNAME;
    private static readonly DEFAULT_ADDRESS_BOOKS_QUERY;
    private wacRequest;
    constructor(wacRequest: WacRequest);
    getContacts(): Promise<ContactData[]>;
}
export {};
